meta-mobian (0.5.4) unstable; urgency=medium

  * mobian-base: drop `wget` from Recommends
    `curl` now includes `wcurl` which is a direct replacement, let's stick
    to that.
  * mobian-*-base: update for recent Mesa packages.
    The `mesa-v{a,dpau}-drivers` packages have recently been merged into a
    single one, reflect this change in our dependencies lists.
    Also fix an indentation issue.
  * d/control: drop Priority and Rules-Requires-Root.
    Those fields are no longer useful as they only set the current defaults.
    Drop them and update Standards-Version accordingly.

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 31 Dec 2025 10:19:21 +0100

meta-mobian (0.5.3) unstable; urgency=medium

  * Revert "Allow pulseaudio as an alternative to pipewire-audio"
    This reverts commit 1c4b76da7ba84955790c53c11f3cc4746ec95b1a

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 02 Oct 2025 10:41:02 +0200

meta-mobian (0.5.2) unstable; urgency=medium

  [ Praveen Arimbrathodiyil ]
  * Allow pulseaudio as an alternative to pipewire-audio

  [ Marco Mattiolo ]
  * Add qml-module-org-kde-qqc2breezestyle to mobian-plasma-mobile-base
    as a workaround to get the Qt5 breeze style for maliit that still requires Qt5 environment
    while Debian provides now only the Qt6 version of the QtQuick Breeze style
    for context, see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1103639
    this workaround can be dropped when maliit is ported to Qt6 or plasma-mobile switches to plasma-keyboard

  [ Arnaud Ferraris ]
  * phosh-base:  replace network-manager-gnome.
    This package has been renamed to `network-manager-applet`, let's use
    this one.
    Fixes #10

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 13 Sep 2025 18:08:09 +0200

meta-mobian (0.5.1) unstable; urgency=medium

  * mobian-phosh-extras: replace `evince` with `papers`
    `evince` won't be updated to GTK4, it has therefore been forked as
    `papers` which is to become the official document reader for GNOME.

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 07 Feb 2025 14:28:23 +0100

meta-mobian (0.5.0) unstable; urgency=medium

  [ Marco Mattiolo ]
  * Add qt6-wayland to mobian-phosh-extras' dependencies
  * Add qtwayland5 and qt6-svg-plugins in plasma-mobile-core
    virtual keyboard maliit needs qtwayland5, crashes otherwise
    qt6-svg-plugins is required for rendering apps' and shell's icons

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 30 Dec 2024 17:07:13 +0100

meta-mobian (0.4.9) unstable; urgency=medium

  * phosh-base: drop dependency on xdg-desktop-portal-gnome.
    Turns out it's not actually needed, and pulls in a lot of `Recommends:`.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 22 Oct 2024 15:13:31 +0200

meta-mobian (0.4.8) unstable; urgency=medium

  * base: drop systemd-repart.
    It actually belongs to image recipes, no need to install it on already
    working devices.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 21 Oct 2024 13:34:46 +0200

meta-mobian (0.4.7) unstable; urgency=medium

  [ Sebastian Spaeth ]
  * mobian-base: Remove chrony as hard dependency (time-daemon)
    mobian-base hard-depends on chrony. If you attempt to install any alternative,
    e.g. systemd-timesyncd, it will propose to uninstall mobian-base.
    Which is perhaps more stringent that we want to be. The reason for chrony is
    historical, back when the OG PP year jump bug occured, we had the hunch that
    chrony copes better with it. The hardware-glitch in the soc has been worked
    around in the kernel by now, so there is no reason to enforce it.
    Hard-depend on the virtual package "time-daemon" instead which can be
    provided by a different number of services.
    Fixes: https://salsa.debian.org/Mobian-team/meta-mobian/-/issues/7

  [ Sebastian Krzyszkowiak ]
  * mobian-base: Allow other providers of ping than inetutils-ping.
    For example: iputils-ping, which provides an option to choose the interface
    to send the packets from, may be desired to be installed by the user instead,
    which isn't currently possible as it conflicts with inetutils-ping required by
    mobian-base.

  [ Arnaud Ferraris ]
  * phosh-extras: move purple plugins to `Recommends`
    Those are only useful to people using Chatty for XMPP, no need to make
    them a hard dependency.
  * phosh-base: depend on xdg-desktop-portal-gnome
    `gnome-control-center` will crash on some panels without it.
  * base: install systemd-repart.
    Fixes #8
  * d/gbp.conf: add default dch commit message.
    This aligns with other Mobian packages.

  [ Javier Jardón ]
  * debian/control: recommends gnome-firmware in mobian-phosh-extras

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 18 Oct 2024 10:32:56 +0200

meta-mobian (0.4.6) unstable; urgency=medium

  * mobian-phosh-extras: recommend `gnome-software-plugin-deb`
    Debian packages support in `gnome-software` has been split to a separate
    plugin package, so let's recommend it along with other `gnome-software`
    packages.

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 29 Mar 2024 13:24:16 +0100

meta-mobian (0.4.5) unstable; urgency=medium

  [ Chris Talbot ]
  * d/control: make mobian-phosh-base depend on libgdk-pixbuf2.0-bin

 -- Christopher Talbot <chris@talbothome.com>  Tue, 13 Feb 2024 18:06:11 -0700

meta-mobian (0.4.4) unstable; urgency=medium

  * mobian-base: don't depend on any editor.
    The `editor` virtual package is long gone, and we should give users the
    choice to use the editor of their choice, or potentially none if they'd
    like to live on the edge.

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 17 Jan 2024 15:20:05 +0100

meta-mobian (0.4.3) unstable; urgency=medium

  [ Marco Mattiolo ]
  * Add mobian-plasma-mobile-* packages

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 02 Jan 2024 10:06:19 +0100

meta-mobian (0.4.2) unstable; urgency=medium

  [ Julian Fairfax ]
  * Accept nano as an editor

  [ Robert Mader ]
  * mobian-phosh-base: Add xdg-desktop-portal-wlr.
    It is needed - on top of the gtk one - in order to show certain dialogs
    such as the camera one. See also xdg-desktop-portal-gnome.
    While on it, move the xdg packages to "Minimal phosh environment", which
    seems to be better suited for them.
    Closes https://salsa.debian.org/Mobian-team/meta-mobian/-/issues/4

  [ Arnaud Ferraris ]
  * d/control: switch to pipewire for audio
    Fixes https://salsa.debian.org/Mobian-team/mobian-recipes/-/issues/26

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 18 Jul 2023 14:26:03 +0200

meta-mobian (0.4.1) unstable; urgency=medium

  * mobian-base: add `curl` as a dependency.
    I'm personnally more familiar with `wget`, but different users might
    have different expectations.

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 05 Nov 2022 13:25:57 +0100

meta-mobian (0.4.0) unstable; urgency=medium

  * mobian-base: use libspa-0.2-bluetooth instead of pulseaudio equivalent.
    Debian is switching to PipeWire as the default sound server, we should
    follow.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 04 Oct 2022 22:42:20 +0200

meta-mobian (0.3.9) unstable; urgency=medium

  * base: install `systemd-resolved`
    This one was previously part of `systemd` and is now its own package.
  * phosh-extras: recommend `endeavour` (formerly `gnome-todo`)
  * mobian-base: adapt to using ext4 by default.
    We shipped F2FS-formatted images for a while, but now default to ext4.
    Therefore, all installs will need `e2fsprogs` instead of `f2fs-tools`
    (the boot partition is always ext2 no matter the rootfs type), so add
    the former package as a hard dependency and move the latter to the
    `Recommends` section. Also add `btrfsprogs` to this section as the
    installer offers this FS as an option.
  * mobian-base: move archive keyring with other mobian packages.
    No need to add a specific section for it, so move
    `mobian-archive-keyring` to the "Base system" section, along with other
    Mobian-only packages.
  * mobian-base: drop dependency on cloud-initramfs-growroot.
    This is now useless as we use `systemd-repart` instead.

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 11 Sep 2022 16:35:33 +0200

meta-mobian (0.3.8) unstable; urgency=medium

  * mobian-base: Depend on callaudiod

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 04 Sep 2022 18:33:59 +0200

meta-mobian (0.3.7) unstable; urgency=medium

  * mobian-phosh-base: Demote gnome-initial-setup to Recommends

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 30 Aug 2022 19:05:00 +0200

meta-mobian (0.3.6) unstable; urgency=medium

  * mobian-base: use new plymouth theme package.
    It was renamed to align with other plymouth themes in Debian,

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 05 Aug 2022 12:02:49 +0200

meta-mobian (0.3.5) unstable; urgency=medium

  * mobian-base: depend on mobian-archive-keyring.
    This will allow us to update the GPG key on devices *before* it expires,
    hopefully avoiding similar issues in the future.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 21 Jun 2022 13:50:45 +0200

meta-mobian (0.3.4) unstable; urgency=medium

  * mobian-phosh-extras: replace gedit with gnome-text-editor
    `gnome-text-editor` requires less patches to be usable on mobile, and
    such patches are more likely to be accepted upstream. Besides, we
    probably don't need the full power of gedit on mobile.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Sat, 04 Jun 2022 15:34:17 +0200

meta-mobian (0.3.3) unstable; urgency=medium

  [ Nathan Schulte ]
  * update Homepage, Vcs-Git, Vcs-Browser

  [ Arnaud Ferraris ]
  * mobian-phosh-devtools: drop package.
    This package isn't used nor promoted and can therefore be removed.
    `xterm` is moved to `mobian-devtools` as it provides the `resize`
    command which is extremely useful when using the serial console.
  * mobian-phosh-extras: stop recommending barely used packages
    `telegram-purple` isn't much maintained and doesn't work very well.
    Moreover, it promotes a semi-proprietary service and should therefore be
    removed. `youtube-dl` is only used by a few users and can easily be
    installed manually if needed, so let's remove it as well.
  * mobian-phosh-base: depend on feedbackd-device-themes.
    It will allow us to drop device-specific profiles from the corresponding
    tweaks packages, and won't harm on unsupported devices.
  * mobian-phosh-extras: replace kgx with gnome-console.
    Upstream package has been renamed, and `kgx` is now only a transitional
    package depending on `gnome-console`.
  * mobian-base: depend on at least one editor.
    Removing both `vim` and `nano` from `Depends:` ended up with no text
    editor being installed at all. Fix that by installing `vim` by default,
    but allowing it to be installed by the alternate dependency on `editor`
    (which is a virtual package provided by various vi and emacs flavors,
    among others).

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 24 Mar 2022 19:34:55 +0100

meta-mobian (0.3.2) unstable; urgency=medium

  [ undef ]
  * d/control: De-prioritize minor dependencies
  * d/gbp.conf: add Mobian's GBP config

  [ Nathan Schulte ]
  * mobian-base: remove Depends: crda, add wireless-regdb

 -- undef <debian@undef.tools>  Mon, 14 Feb 2022 08:58:53 +0000

meta-mobian (0.3.1) unstable; urgency=medium

  * mobian-base: depend on zstd

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 14 Jul 2021 16:58:46 +0200

meta-mobian (0.3.0) unstable; urgency=medium

  * mobian-base: depend on console-setup

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 13 Jan 2021 16:51:27 +0100

meta-mobian (0.2.9) unstable; urgency=medium

  * d/control: replace nemo with portfolio-filemanager

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 12 Jan 2021 01:46:01 +0100

meta-mobian (0.2.8) unstable; urgency=medium

  * d/control: move to salsa and improve package descriptions
  * debian: add salsa-ci
  * d/copyright: update URL and upstream name
  * d/control: reflect mobian-tweaks package split

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Fri, 13 Nov 2020 00:45:43 +0100

mobian-meta (0.2.7) unstable; urgency=medium

  * mobian-phosh: depend on phosh-full

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 05 Nov 2020 10:17:51 +0100

mobian-meta (0.2.6) unstable; urgency=medium

  * mobian-base: add rsync
  * mobian-phosh-phone: depend on phosh-phone
  * mobian-phosh-base: depend on phosh-core
  * mobian-phosh-extras: add purple-xmpp-carbons
  * mobian-phosh-games: drop in favor of phosh-games

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 04 Nov 2020 16:08:04 +0100

mobian-meta (0.2.5) unstable; urgency=medium

  * mobian-phosh-phone: depend on gnome-calls and remove wys

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 03 Nov 2020 11:11:42 +0100

mobian-meta (0.2.4) unstable; urgency=medium

  * mobian-phosh-extras: recommend gnome-weather

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 24 Sep 2020 14:59:45 +0200

mobian-meta (0.2.3) unstable; urgency=medium

  * mobian-phosh-extras: make gnome-software a Recommends.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 24 Sep 2020 14:58:14 +0200

mobian-meta (0.2.2) unstable; urgency=medium

  * mobian-phosh-phone: depend on mobian-phone-base

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 22 Sep 2020 15:08:32 +0200

mobian-meta (0.2.1) unstable; urgency=medium

  * mobian-phosh-base: depend on phosh-mobile-tweaks

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Sat, 19 Sep 2020 14:11:20 +0200

mobian-meta (0.2.0) unstable; urgency=medium

  [ Sebastian Spaeth ]
  * mobian-phosh-extras: Depend on megapixels instead of pinhole
    pinhole author said this might be a good idea, given the performance benefit
    of megapixels.
    Make it so!

  [ Arnaud Ferraris ]
  * mobian-phosh-extras: don't depend on user-facing apps, recommend them.
    This allows users to uninstall an unwanted app without throwing away the
    whole metapackage

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Sat, 19 Sep 2020 10:51:40 +0200

mobian-meta (0.1.9) unstable; urgency=medium

  * mobian-base: add f2fs-tools

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 04 Aug 2020 23:27:36 +0200

mobian-meta (0.1.8) unstable; urgency=medium

  [ Eduardo Minguez Perez ]
  * Added dialog.
    Fixes https://gitlab.com/mobian1/issues/-/issues/34

  [ Arnaud Ferraris ]
  * mobian-phosh-base: add extra useful fonts

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 04 Aug 2020 17:03:46 +0200

mobian-meta (0.1.7) unstable; urgency=medium

  [ Sebastian Spaeth ]
  * mobian-phosh-extras: include pinhole camera app.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 14 Jul 2020 18:35:44 +0200

mobian-meta (0.1.6) unstable; urgency=medium

  * mobian-base: move telephony middleware to new mobian-phone-base package
  * move gnome-clocks and kgx to mobian-phosh-extras.
    These shouldn't break the base packages when uninstalled.
  * mobian-phosh-phone: move feedbackd and gnome-contacts
    feedbackd is used by phosh itself to provide haptic feedback, so we want
    it in mobian-phosh-base.
    gnome-contacts shouldn't be restricted to phones, so it belongs in
    mobian-phosh-extras.
  * mobian-phosh-extras: depend on mobian-phosh-base.
    This will make it easier to provide builds for devices without a modem
    in the future (think PineTab).
  * mobian-base: add chrony for time synchronization.
    Fixes the "2115 bug"
  * mobian-phosh: don't depend on phone apps

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 08 Jul 2020 12:21:19 +0200

mobian-meta (0.1.5) unstable; urgency=medium

  * mobian-devtools: move inetutils-ping to mobian-base
  * mobian-base: add cloud-initramfs-growroot for rootfs resizing

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Sat, 27 Jun 2020 17:48:24 +0200

mobian-meta (0.1.4) unstable; urgency=medium

  * mobian-phosh-phone: add gnome-software-plugin-flatpak

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 17 Jun 2020 23:13:14 +0200

mobian-meta (0.1.3) unstable; urgency=medium

  * mobian-phosh-extras: add fwupd as recommended by gnome-software

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 25 May 2020 01:30:53 +0200

mobian-meta (0.1.2) unstable; urgency=medium

  * mobian-phosh-base: add flatpak

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 14 May 2020 02:35:21 +0200

mobian-meta (0.1.1) unstable; urgency=medium

  * mobian-base: install locales-all

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 11 May 2020 14:34:35 +0200

mobian-meta (0.1.0) unstable; urgency=medium

  * Initial release based on `meta-pinephone` v0.3.2

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 07 May 2020 12:02:32 +0200
